Subject: Re: Quick command to count commits

From: Ted Pavlic <[email-masked]>
Date: Tue, 06 Jan 2009 14:55:23 -0500

I doubt it's going to be much faster, but it's easier to type

	git shortlog -s|numsum

I *think* that should give you the same number, and it forces git to do 
more of the counting (rather than wc).

Strangely, on one repo that I test that on, I get slightly different 
numbers from that command and yours. I'm not quite sure why (I guess 
shortlog doesn't count all commits?).

--Ted

On 1/6/09 1:51 PM, Henk wrote:
>
> Hi,
>
> For GitExtensions (windows git ui) I need a command to count all commits. I
> now use this command:
> git.cmd rev-list --all --abbrev-commit | wc -l
>
> This works perfect but its very slow in big repositories. Is there a faster
> way to count the commits?
>
> Henk

-- 
Ted Pavlic <[email-masked]>